﻿// For more information see https://aka.ms/fsharp-console-apps
open System.IO

module EulerProblem105 =
    let parseInput (filePath: string) =
        File.ReadAllLines(filePath)
        |> Array.map (fun line -> 
            line.Split(',') 
            |> Array.map int 
            |> Array.toList)
        |> Array.toList

    let run filePath =
        let sets = parseInput filePath
        printfn "Загружено %d множеств" (List.length sets)
        0

[<EntryPoint>]
let main argv =
    let result = EulerProblem105.run "sets.txt"
    printfn "Результат: %d" result
    0
